Bug 1478889 - [genealogy] CFME not detecting parent VM with Azure provider
[genealogy] CFME not detecting parent VM with Azure provider
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
low Severity medium
: GA
: cfme-future
Assigned To: Daniel Berger
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 08:51 EDT by Antonin Pagac
Modified: 2017-08-11 04:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2017-08-07 08:51:43 EDT
Description of problem:
When editing an instance on Azure provider, in the Parent VM Selection there is always "no parent". I looked at multiple instances running on Azure, all of them have no parent. When deploying a testing instance the parent is also not detected.

I'm not sure if we can detect a parent VM on Azure provider.

Version-Release number of selected component (if applicable):
5.8.1.5

How reproducible:
Always

Steps to Reproduce:
1. Add an Azure provider to CFME
2. Deploy an instance
3. Select the instance, then Configuration -> Edit this Instance
4. Look at the Parent VM Selection
5. "no parent" is displayed

Actual results:
"no parent" detected on instances on Azure provider

Expected results:
A parent template/VM should be displayed. This would be the template from which we deployed this instance.

Additional info:
This is working fine for providers different than Azure
Comment 2 Bronagh Sorota 2017-08-08 16:03:27 EDT
Hi Dan,
Can you take a look at this, check if we track parents (image) of cloud provider instances. I checked an AWS VM and it didnt have the parent set, but maybe we need to provision from CloudForms, not sure.

Bronagh
Comment 3 Bronagh Sorota 2017-08-10 10:13:24 EDT
Hi Antonin,
Do I need to deploy a VM from CF to see this set in other providers? No parent was set for an AWS VM created from the AWS portal.
What is this setting used for? What is the impact of this?

thanks
Bronagh
Comment 5 Antonin Pagac 2017-08-11 04:54:42 EDT
Hi Bronagh,

QA is testing genealogy by creating a new VM via CF. For AWS EC2, this way the parent can be detected in CF without problems.

I looked at the instances currently deployed on AWS, went through them manually and every instance does have a parent in CF. I cannot tell however if these instances were deployed via CF or using AWS portal.

On usage/impact I will have to ask around.

Note You need to log in before you can comment on or make changes to this bug.